Package com.sas.lsaf.workflow.task

## Class UserTaskAssignment

- java.lang.Object
- - com.sas.lsaf.workflow.task.UserTaskAssignment

- All Implemented Interfaces:
    `java.io.Serializable`

      public class UserTaskAssignment
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the task assignment history for a user task.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskAssignment​(java.lang.String id, java.lang.String taskId, java.lang.String elementId, java.util.Date dateStarted, java.util.Date dateAssigned, Principal assignee, float actualHours)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `getActualHours()` | Gets the hours worked on the task by the current assignee.
    `Principal` | `getAssignee()` | Gets the user who is assigned to this task.
    `java.util.Date` | `getDateAssigned()` | Gets the date on which the task was assigned.
    `java.util.Date` | `getDateStarted()` | Gets the date on which the task was started.
    `java.lang.String` | `getElementId()` | Gets the identifier for the element as defined in the process flow definition.
    `java.lang.String` | `getId()` | Gets the identifier for the user task.
    `java.lang.String` | `getTaskId()` | Gets the internal task identifier for the user task.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskAssignment

          public UserTaskAssignment​(java.lang.String id,
                                    java.lang.String taskId,
                                    java.lang.String elementId,
                                    java.util.Date dateStarted,
                                    java.util.Date dateAssigned,
                                    Principal assignee,
                                    float actualHours)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the user task assignments returned by the API.
      Parameters:
        `id` - The identifier for the user task instance.
        `taskId` - The internal task identifier for the user task instance.
        `elementId` - The identifier for the element as defined in the process flow definition.
        `dateStarted` - The date on which the task assignment was started.
        `dateAssigned` - The date on which the task assignment was assigned.
        `assignee` - The user assigned to this task.
        `actualHours` - The total hours worked on the task by the current assignee.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the identifier for the user task.
      Returns:
        The identifier.

    - #### getTaskId

          public java.lang.String getTaskId()

      Gets the internal task identifier for the user task.
      Returns:
        The internal task identifier.

    - #### getElementId

          public java.lang.String getElementId()

      Gets the identifier for the element as defined in the process flow definition.
      Returns:
        The identifier.

    - #### getDateStarted

          public java.util.Date getDateStarted()

      Gets the date on which the task was started.
      Returns:
        The date started.

    - #### getDateAssigned

          public java.util.Date getDateAssigned()

      Gets the date on which the task was assigned.
      Returns:
        The date assigned.

    - #### getAssignee

          public Principal getAssignee()

      Gets the user who is assigned to this task.
      Returns:
        The assignee.

    - #### getActualHours

          public float getActualHours()

      Gets the hours worked on the task by the current assignee.
      Returns:
        The hours worked.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`